//Arduino with 74HC595 and 7-Segment
//picmicrolab.com



int DataPin = 8; 
int ClockPin = 9; 
int LatchPin = 10; 

#define TimeDelay 50

void setup() 
{
 pinMode(LatchPin, OUTPUT);
 pinMode(ClockPin, OUTPUT);
 pinMode(DataPin, OUTPUT);
}

void loop() 
{
//---------------HIGH--------------
SendData74HC595(0x9f);// Show 1
delay(1000);
SendData74HC595(0x25);// Show 2
delay(1000);
SendData74HC595(0x0D);// Show 3
delay(1000);
SendData74HC595(0x99);// Show 4
delay(1000);
SendData74HC595(0x49);// Show 5
delay(1000);
SendData74HC595(0x41);// Show 6
delay(1000);
SendData74HC595(0x1f);// Show 7
delay(1000);
SendData74HC595(0x01);// Show 8
delay(1000);
SendData74HC595(0x09);// Show 9
delay(1000);
SendData74HC595(0x03);// Show 0
delay(1000);
}

void SendData74HC595(int data)
{
digitalWrite(LatchPin, LOW);
delay(5);
shiftOut(DataPin, ClockPin, LSBFIRST, data);
digitalWrite(LatchPin, HIGH);
delay(5);
}
